> For the complete documentation index, see [llms.txt](https://docs.sfbx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfbx.io/configuration/step-3-notice-implementation-web-app-tv/ios/appconsent-sdk.md).

# AppConsent SDK

Our iOS SDK supports the following targets:

* iOS, (iPhone, iPad and macOS through mac Catalyst) minimum deployment target 12.0
* tvOS, minimum deployment target 14.0 (tvOS support is still experimental as of AppConsent 4.4.0)

Our framework is built in Swift and UIKit, and is supported in Swift and Objective-C apps. It is possible to use it in a SwiftUI app following these instructions:

* [Adding UIKit views to SwiftUI view hierarchies](https://developer.apple.com/documentation/swiftui/uikit-integration).

{% hint style="info" %}
**NOTE**

The iOS AppConsent is now in version 4.X.X

Previous libraries AppConsentKit, AppConsentUIKit and AppConsentUIKitV3 are now obsolete, and won't be supported anymore in a near future.

If you still rely on any of the older frameworks, We advise you upgrade to AppConsent 4.X.X following these instructions:

* [Upgrade to AppConsent 4.X.X](https://docs.sfbx.io/ios-api-reference/documentation/appconsent/upgradetoappconsent/)
  {% endhint %}

## Add AppConsent to your xCode project

Our library is package as an XCFramework, it is available through Swift Package Manager, or CocoaPods, see this article about adding AppConsent to your XCode project:

* [Add AppConsent to your xCode project](https://docs.sfbx.io/ios-api-reference/documentation/appconsent/install/)

## How to use AppConsent

To get started integrating AppConsent into your app, read this article:

* [AppConsent Overview](https://docs.sfbx.io/ios-api-reference/documentation/appconsent/)

## API reference

All our iOS related articles and documentation are accessible through our full API reference [here](https://docs.sfbx.io/ios-api-reference/documentation/appconsent/).

## Screenshots

Screenshots for all supported languages and most supported screen sizes are visible [here](https://docs.sfbx.io/ios-screenshots/screenshots.html).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfbx.io/configuration/step-3-notice-implementation-web-app-tv/ios/appconsent-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
